Skip to main content
GET
Events - Delivery Attempt List

Authorizations

api-key
string
header
required

Admin API keys allow you to perform some privileged actions such as creating a merchant account and Merchant Connector account.

Path Parameters

merchant_id
string
required

The unique identifier for the Merchant Account.

event_id
string
required

The unique identifier for the Event

Response

200 - application/json

List of delivery attempts retrieved successfully

event_id
string
required

The identifier for the Event.

Maximum string length: 64
Example:

"evt_018e31720d1b7a2b82677d3032cab959"

merchant_id
string
required

The identifier for the Merchant Account.

Maximum string length: 64
Example:

"y3oqhf46pyzuxjbcn2giaqnb44"

profile_id
string
required

The identifier for the Business Profile.

Maximum string length: 64
Example:

"SqB0zwDGR5wHppWf0bx7GKr1f2"

object_id
string
required

The identifier for the object (Payment Intent ID, Refund ID, etc.)

Maximum string length: 64
Example:

"QHrfd5LUDdZaKtAjdJmMu0dMa1"

event_type
enum<string>
required
Available options:
payment_succeeded,
payment_failed,
payment_processing,
payment_cancelled,
payment_cancelled_post_capture,
payment_authorized,
payment_partially_authorized,
payment_captured,
payment_expired,
action_required,
refund_succeeded,
refund_failed,
dispute_opened,
dispute_expired,
dispute_accepted,
dispute_cancelled,
dispute_challenged,
dispute_won,
dispute_lost,
mandate_active,
mandate_revoked,
payout_success,
payout_failed,
payout_initiated,
payout_processing,
payout_cancelled,
payout_expired,
payout_reversed
event_class
enum<string>
required
Available options:
payments,
refunds,
disputes,
mandates,
payouts
initial_attempt_id
string
required

The identifier for the initial delivery attempt. This will be the same as event_id for the initial delivery attempt.

Maximum string length: 64
Example:

"evt_018e31720d1b7a2b82677d3032cab959"

created
string<date-time>
required

Time at which the event was created.

Example:

"2022-09-10T10:11:12Z"

request
object
required

The request information (headers and body) sent in the webhook.

response
object
required

The response information (headers, body and status code) received for the webhook sent.

is_delivery_successful
boolean | null

Indicates whether the webhook was ultimately delivered or not.

delivery_attempt
enum<string> | null
Available options:
initial_attempt,
automatic_retry,
manual_retry